# Enum AbstractEndpoint.BindState

java.lang.Object
java.lang.Enum<AbstractEndpoint.BindState>
org.apache.tomcat.util.net.AbstractEndpoint.BindState

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractEndpoint.BindState>`, `java.lang.constant.Constable`

Enclosing class:
  `AbstractEndpoint<S,U>`

protected static enum AbstractEndpoint.BindState extends Enum<AbstractEndpoint.BindState>

Author:
  Mladen Turk, Remy Maucherat

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOUND_ON_INIT`
`BOUND_ON_START`
`SOCKET_CLOSED_ON_STOP`
`UNBOUND`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isBound()`
`static AbstractEndpoint.BindState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AbstractEndpoint.BindState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
`boolean`
`wasBound()`

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNBOUND

public static final AbstractEndpoint.BindState UNBOUND

### BOUND_ON_INIT

public static final AbstractEndpoint.BindState BOUND_ON_INIT

### BOUND_ON_START

public static final AbstractEndpoint.BindState BOUND_ON_START

### SOCKET_CLOSED_ON_STOP

public static final AbstractEndpoint.BindState SOCKET_CLOSED_ON_STOP

## Method Details

### values

public static AbstractEndpoint.BindState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AbstractEndpoint.BindState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### isBound

public boolean isBound()

### wasBound

public boolean wasBound()